precision highp float;
attribute vec4 position;
attribute vec2 inputTextureCoordinate;
varying vec2 vTextureCoordinate;

uniform mat4 vertexMatrix;
uniform mat4 textureMatrix;

void main()
{
    gl_Position = vertexMatrix * position;
    vTextureCoordinate = (textureMatrix * vec4(inputTextureCoordinate, 0.0, 1.0)).xy;
}