precision lowp float;

varying lowp vec2 textureCoordinate;
varying lowp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform lowp float opacity;
void main()
{
    vec4 base = texture2D(inputImageTexture, textureCoordinate);
    vec4 overlay = texture2D(inputImageTexture2, textureCoordinate2)*opacity;

    float alpha = overlay.a + base.a - overlay.a * base.a;
    gl_FragColor = vec4(abs(overlay.rgb - base.rgb), alpha);
}