precision highp float;

#define SCREEN(base, overlay) 1.0 - (1.0 - base) * (1.0 - overlay)
varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform float opacity;
void main()
{
    vec4 base = texture2D(inputImageTexture, textureCoordinate);
    vec4 overlay = texture2D(inputImageTexture2, textureCoordinate2);
    gl_FragColor = vec4(mix(base.rgb, vec3(SCREEN(base.r, overlay.r), SCREEN(base.g, overlay.g), SCREEN(base.b, overlay.b)), overlay.a * opacity), base.a);
}
