precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp vec4 replaceRgb;

void main() {
    vec4 color = texture2D(inputImageTexture, textureCoordinate);
    if (color.a > 0.0) {
        gl_FragColor = replaceRgb;
    } else {
        gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
    }
}