varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;

uniform highp float grain;
uniform highp float width;
uniform highp float height;

void main() {
    highp vec2 uv = textureCoordinate;
    highp vec4 color = texture2D(inputImageTexture,fract(uv));
    uv.x = uv.x - mod(uv.x, 1. / width);
    uv.y = uv.y - mod(uv.y, 1. / height);
    highp float x = (uv.x + 4.0) * (uv.y + 4.0) * 10.0;
    highp vec4 grain = vec4(mod((mod(x, 13.0) + 1.0) * (mod(x, 123.0) + 1.0), 0.01) - 0.005) * grain;
    gl_FragColor = color + grain;
}