precision highp float;

attribute vec4 position;
attribute vec4 inputTextureCoordinate;

varying vec2 textureCoordinate;

varying vec2 uvoffsetR;
varying vec2 uvoffsetB;

uniform vec2 iResolution;


void main()
{
    gl_Position = position;
    textureCoordinate = inputTextureCoordinate.xy;
    uvoffsetR = inputTextureCoordinate.xy+vec2(0.0/iResolution.x, 2.0/iResolution.y);
    uvoffsetB = inputTextureCoordinate.xy + vec2(2.0/iResolution.x, -2.0/iResolution.y);
}
