precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform float intensity;
void main() {
    float amount = intensity+0.7;
    vec4 base = texture2D(inputImageTexture, textureCoordinate);
    vec3 overlay = texture2D(inputImageTexture2, textureCoordinate).rgb;

    //gl_FragColor = vec4(base.rgb * amount + overlay * (1.0 - amount), base.a);
    gl_FragColor = vec4((base.rgb-overlay)* amount + overlay, base.a);
}