attribute vec4 position;
attribute vec4 inputTextureCoordinate;

varying vec2 textureCoordinate;

uniform float widthOffset;
uniform float heightOffset;

varying vec2 textureShift_1;
varying vec2 textureShift_2;
varying vec2 textureShift_3;
varying vec2 textureShift_4;

void main()
{
    gl_Position = position;
    textureCoordinate = inputTextureCoordinate.xy;

    textureShift_1 = vec2(inputTextureCoordinate.xy + 0.5 * vec2(widthOffset,heightOffset));
    textureShift_2 = vec2(inputTextureCoordinate.xy + 0.5 * vec2(-widthOffset,-heightOffset));
    textureShift_3 = vec2(inputTextureCoordinate.xy + 0.5 * vec2(-widthOffset,heightOffset));
    textureShift_4 = vec2(inputTextureCoordinate.xy + 0.5 * vec2(widthOffset,-heightOffset));
}