precision highp float;
attribute vec4 position;
attribute vec2 inputTextureCoordinate;
attribute vec2 inputTextureCoordinat2;
varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;
uniform mat4 vertexMatrix;
uniform mat4 textureMatrix;
void main(){
    gl_Position = vertexMatrix * position;
    textureCoordinate = (textureMatrix * vec4(inputTextureCoordinate, 0.0, 1.0)).xy;
    textureCoordinate2 = (textureMatrix * vec4(inputTextureCoordinat2, 0.0, 1.0)).xy;
}