precision highp float;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
varying vec2 textureCoordinate;

uniform float opacity;

void main () {
    vec4 base = texture2D(inputImageTexture, textureCoordinate);
    vec4 src1 = texture2D(inputImageTexture2, vec2(textureCoordinate.x, 1.0 - textureCoordinate.y)) * opacity;
    base = src1 + base * (1.0 - src1.a);
    gl_FragColor = base;
}