precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform float distance; //mohubanjing
uniform float GlowExpand; //dongganmohujiaodu
uniform float baseTexWidth;
uniform float baseTexHeight;
uniform float strength;
void main()
{
    vec4 inputColor = texture2D(inputImageTexture, textureCoordinate);
    float samplerPre = 1.0;
    float range = distance;
    range = abs(range - 100.);
    float rad = 3.1415926 / 180.0;
    float sum = 1.0;
    float tempRange = distance;
    for(float j=1.0 ; j<range+1.0 ; j+= samplerPre)
    {
        float dx = 2.0 / baseTexWidth * cos(rad);
        float dy = 2.0 / baseTexHeight * sin(rad);

        // left
        vec2 samplerTexCoord = vec2(textureCoordinate.x + j*dx, textureCoordinate.y + j*dy);
        if(samplerTexCoord.x < 0.0||samplerTexCoord.x > 1.0||samplerTexCoord.y < 0.0||samplerTexCoord.y > 1.0) {
        }
        else {
            vec4 tc = texture2D(inputImageTexture, samplerTexCoord);
            inputColor += tc;
            sum += 1.0;
        }
        //}

        //right
        if (distance > 100.) {
            vec2 samplerTexCoord1 = vec2(textureCoordinate.x - j*dx, textureCoordinate.y - j*dy);
            if(samplerTexCoord1.x < 0.0||samplerTexCoord1.x > 1.0||samplerTexCoord1.y < 0.0||samplerTexCoord1.y > 1.0) {
            }
            else {
                vec4 tc1 = texture2D(inputImageTexture,samplerTexCoord1);
                inputColor += tc1;
                sum += 1.0;
            }
        }
    }
    inputColor/=(sum);

    vec4 result = texture2D(inputImageTexture,textureCoordinate);

    gl_FragColor = mix(result,inputColor,strength * 0.8);
    // support png, thus we don't need to change the a that's 0
    gl_FragColor = vec4(gl_FragColor.rgb, inputColor.a);
}
 