#extension GL_OES_EGL_image_external : require
precision highp float;
varying vec2 vTextureCoordinate;     // 纹理坐标
uniform sampler2D texture1;
uniform sampler2D texture2;
uniform sampler2D frameTexture;
bool doubleExposure = true;
void main()
{
    if(doubleExposure){
        vec4 double_fragcolor = mix(texture2D(texture1, vTextureCoordinate), texture2D(texture2, vTextureCoordinate), 0.5);
        gl_FragColor = mix(double_fragcolor, texture2D(frameTexture, vTextureCoordinate), 0.3);
    }else {
        gl_FragColor = texture2D(texture1, vTextureCoordinate);// 根据纹理坐标获取对应像素颜色
        //gl_FragColor = vec4(normalize(texture2D(texture1, vTextureCoordinate).rgb), texture2D(texture1, vTextureCoordinate).a);
    }

}