varying lowp vec2 textureCoordinate;
varying lowp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform lowp float strength;

void main()
{
    lowp vec4 a = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 b = texture2D(inputImageTexture2, textureCoordinate2);
    lowp vec3 finalColor = vec3(1.0) - (vec3(1.0) - a.rgb) * (vec3(1.0) - b.rgb);
    gl_FragColor = vec4(mix(a.rgb, finalColor, strength), 1.0);

    //gl_FragColor = vec4(a.rgb * 0.5 + b.rgb, 1.0);

}