precision highp float;

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
void main()
{
    mediump vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    mediump vec4 textureColor2 = texture2D(inputImageTexture2, textureCoordinate2);
    if (textureColor.a !=0.0 && textureColor2.a != 0.0) {
        gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
    } else if (textureColor.a != 0.0){
        gl_FragColor = vec4(clamp(textureColor.rgb+textureColor.rgb, 0., 1.), textureColor.a);
    } else {
        gl_FragColor = vec4(clamp(textureColor2.rgb+textureColor2.rgb, 0., 1.), textureColor2.a);
    }
}