precision highp float;
uniform sampler2D inputImageTexture;

varying vec2 textureCoordinate;
varying vec2 uvoffsetR;
varying vec2 uvoffsetB;


void main()
{
    vec4 srcColor = texture2D(inputImageTexture, textureCoordinate);
    vec4 srcColorR = texture2D(inputImageTexture, uvoffsetR);
    vec4 srcColorB = texture2D(inputImageTexture, uvoffsetB);

    gl_FragColor = vec4(srcColorR.r, srcColor.g, srcColorB.b, srcColor.a);
}
