precision highp float;
attribute vec4 position;
attribute vec4 inputTextureCoordinate;

uniform int imageWidth;
uniform int imageHeight;
uniform float scale;

varying vec2 vTextPos;
varying vec2 vTextPos2;

uniform int offsetWidth;
uniform int offsetHeight;

void main() {
    gl_Position = position;
    vTextPos = inputTextureCoordinate.xy;
    vTextPos2 = attUV*0.18/scale;
    if(offsetWidth > offsetHeight){
        vTextPos2 = vec2(vTextPos2.y, vTextPos2.x);
    }
}