precision highp float;
uniform sampler2D inputImageTexture;

varying vec2 textureCoordinate;
varying vec2 uv2;
uniform int frameIndex;
const mediump vec4 whiteColor = vec4(1.0);

uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;
uniform sampler2D inputImageTexture4;
uniform sampler2D inputImageTexture5;
uniform sampler2D inputImageTexture6;
uniform sampler2D inputImageTexture7;
uniform sampler2D inputImageTexture8;
uniform sampler2D inputImageTexture9;
uniform sampler2D inputImageTexture10;
uniform sampler2D inputImageTexture11;
uniform sampler2D inputImageTexture12;
uniform sampler2D inputImageTexture13;
uniform sampler2D inputImageTexture14;
uniform sampler2D inputImageTexture15;

void main() {
    vec4 srcColor = texture2D(inputImageTexture, textureCoordinate);
    //int index = mod(frameIndex, 15);
    int index = frameIndex;//int(mod(float(frameIndex) / 2.0,14.0));//(frameIndex - int(frameIndex/30)*30)/2;
    vec4 maskColor;
    if (index == 1) {
        maskColor = texture2D(inputImageTexture1, textureCoordinate);
    } else if (index == 2) {
        maskColor = texture2D(inputImageTexture2, textureCoordinate);
    } else if (index == 3) {
        maskColor = texture2D(inputImageTexture3, textureCoordinate);
    } else if (index == 4) {
        maskColor = texture2D(inputImageTexture4, textureCoordinate);
    }
//    else if (index == 5) {
//        maskColor = texture2D(inputImageTexture5, textureCoordinate);
//    } else if (index == 6) {
//        maskColor = texture2D(inputImageTexture6, textureCoordinate);
//    } else if (index == 7) {
//        maskColor = texture2D(inputImageTexture7, textureCoordinate);
//    } else if (index == 8) {
//        maskColor = texture2D(inputImageTexture8, textureCoordinate);
//    } else if (index == 9) {
//        maskColor = texture2D(inputImageTexture9, textureCoordinate);
//    } else if (index == 10) {
//        maskColor = texture2D(inputImageTexture10, textureCoordinate);
//    } else if (index == 11) {
//        maskColor = texture2D(inputImageTexture11, textureCoordinate);
//    } else if (index == 12) {
//        maskColor = texture2D(inputImageTexture12, textureCoordinate);
//    } else if (index == 13) {
//        maskColor = texture2D(inputImageTexture13, textureCoordinate);
//    }
    else {
        maskColor = texture2D(inputImageTexture5, textureCoordinate);
    }
    //vec4 screenColor = whiteColor - ((whiteColor - srcColor) * (whiteColor - maskColor));
    //vec4 screenColor = maskColor * srcColor + maskColor * (1.0 - srcColor.a) + srcColor * (1.0 - maskColor.a);
    //gl_FragColor = vec4(screenColor.rgb, 1.0);
    //gl_FragColor = mix(srcColor, screenColor, 0.58);
    //gl_FragColor = srcColor + (screenColor-srcColor) * 0.7;

    mediump vec4 base = srcColor;//texture2D(inputImageTexture, textureCoordinate);
    mediump vec4 overlay = maskColor;//texture2D(inputImageTexture2, uv2);
    mediump float ra;
    if (2.0 * base.r < base.a) {
        ra = 2.0 * overlay.r * base.r + overlay.r * (1.0 - base.a) + base.r * (1.0 - overlay.a);
    } else {
        ra = overlay.a * base.a - 2.0 * (base.a - base.r) * (overlay.a - overlay.r) + overlay.r * (1.0 - base.a) + base.r * (1.0 - overlay.a);
    }

    mediump float ga;
    if (2.0 * base.g < base.a) {
        ga = 2.0 * overlay.g * base.g + overlay.g * (1.0 - base.a) + base.g * (1.0 - overlay.a);
    } else {
        ga = overlay.a * base.a - 2.0 * (base.a - base.g) * (overlay.a - overlay.g) + overlay.g * (1.0 - base.a) + base.g * (1.0 - overlay.a);
    }

    mediump float ba;
    if (2.0 * base.b < base.a) {
        ba = 2.0 * overlay.b * base.b + overlay.b * (1.0 - base.a) + base.b * (1.0 - overlay.a);
    } else {
        ba = overlay.a * base.a - 2.0 * (base.a - base.b) * (overlay.a - overlay.b) + overlay.b * (1.0 - base.a) + base.b * (1.0 - overlay.a);
    }

    gl_FragColor = vec4(ra, ga, ba, 1.0);
    gl_FragColor = maskColor;
}
