attribute vec4 position;
attribute vec4 inputTextureCoordinate;
attribute vec4 inputTextureCoordinate2;

uniform mat4 uTexMatrix;
uniform mat4 uMVPMatrix;

varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;

void main() {
    gl_Position = uMVPMatrix * position;
    textureCoordinate = (uTexMatrix * inputTextureCoordinate).xy;
    textureCoordinate2 = (uTexMatrix * inputTextureCoordinate2).xy;
}