precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
//mix强度
uniform float intensity;

void main() {
    vec4 base = texture2D(inputImageTexture, textureCoordinate);
    vec4 overlay = texture2D(inputImageTexture2, textureCoordinate);
    gl_FragColor = vec4(mix(base.rgb, overlay.rgb, intensity), 1.0);
}