precision highp float;
varying vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

//sharpen 强度
uniform float intensity;

void main() {
    vec4 resultColor = texture2D(inputImageTexture, textureCoordinate);
    vec4 firstBlurColor = texture2D(inputImageTexture2, textureCoordinate);

    resultColor = firstBlurColor+(firstBlurColor-resultColor)*intensity;
    gl_FragColor = resultColor;
}