precision highp float;

attribute vec4 position;
attribute vec4 inputTextureCoordinate;
varying vec2 textureCoordinate;
uniform mat4 uMVPMatrix;
uniform mat4 uTexMatrix;
void main()
{
    gl_Position = sign(uMVPMatrix *position);
    textureCoordinate = (uTexMatrix * inputTextureCoordinate).xy;
}
