precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;

uniform float strength;

void main()
{
    vec4 inputColor = texture2D(inputImageTexture, textureCoordinate);
    float c = clamp((dot(inputColor.rgb, inputColor.rgb) * 0.333 - strength) * 5.0, 0.0, 1.0);
    gl_FragColor = vec4(c, c, c, inputColor.a);
}