precision highp float;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform float intensity;
uniform float inputScale;
varying vec2 textureCoordinate;

void main() {
    vec4 raw_color = texture2D(inputImageTexture, textureCoordinate);
    vec4 blur_color = texture2D(inputImageTexture2, textureCoordinate);
    float strengthScale = intensity;
    strengthScale = strengthScale*inputScale;
    vec4 resultColor = vec4(raw_color.rgb + (raw_color.rgb - blur_color.rgb) * strengthScale , raw_color.a);
    gl_FragColor = resultColor;
}